Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058438 - hosted-engine --deploy returns [Errno 95] Operation not supported
Summary: hosted-engine --deploy returns [Errno 95] Operation not supported
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-setup
Version: 3.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.4.1
Assignee: Sandro Bonazzola
QA Contact: Leonid Natapov
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 19:20 UTC by Douglas Schilling Landgraf
Modified: 2014-05-08 13:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 13:37:36 UTC
oVirt Team: ---


Attachments (Terms of Use)
log (deleted)
2014-01-27 19:21 UTC, Douglas Schilling Landgraf
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25495 None None None Never
oVirt gerrit 25746 None None None Never

Description Douglas Schilling Landgraf 2014-01-27 19:20:10 UTC
Description of problem:

Tried to setup my host with hosted-engine --deploy and I got it failed as showed below.

My steps until the  [Errno 95] Operation not supported
=========================================================
- Fedora 19 clean install
- yum update
- Added 4 dummy interfaces for nics tests
  ip link add name dummy1 type dummy
  ip link add name dummy2 type dummy
  ip link add name dummy3 type dummy
  ip link add name dummy4 type dummy

# hosted-engine --deploy
[ INFO  ] Stage: Initializing
          Continuing will configure this host for serving as hypervisor and create a VM where you have to install oVirt Engine afterwards.
          Are you sure you want to continue? (Yes, No)[Yes]: 
          It has been detected that this program is executed through an SSH connection without using screen.
          Continuing with the installation may lead to broken installation if the network connection fails.
          It is highly recommended to abort the installation and run it inside a screen session using command "screen".
          Do you want to continue anyway? (Yes, No)[No]: Yes
[ INFO  ] Generating a temporary VNC password.
[ INFO  ] Stage: Environment setup
          Configuration files: []
          Log file: /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20140127171117.log
          Version: otopi-1.2.0_beta (otopi-1.2.0-0.1.beta.fc19)
[ INFO  ] Hardware supports virtualization
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization
         
          --== STORAGE CONFIGURATION ==--
         
          During customization use CTRL-D to abort.
          Please specify the storage you would like to use (nfs3, nfs4)[nfs3]: 
          Please specify the full shared storage connection path to use (example: host:/path): 192.168.0.103:/nfs/hosted
[ INFO  ] Installing on first host
          Please provide storage domain name. [hosted_storage]: 
          Local storage datacenter name is an internal name and currently will not be shown in engine's admin UI.Please enter local datacenter name [hosted_datacenter]: 
         
          --== SYSTEM CONFIGURATION ==--
         
         
          --== NETWORK CONFIGURATION ==--
         
[ ERROR ] Failed to execute stage 'Environment customization': [Errno 95] Operation not supported
[ INFO  ] Stage: Clean up
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination

Comment 1 Douglas Schilling Landgraf 2014-01-27 19:21:54 UTC
Created attachment 856223 [details]
log

Comment 2 Dan Kenigsberg 2014-01-27 22:49:17 UTC
  File "/usr/share/ovirt-hosted-engine-setup/scripts/../plugins/ovirt-hosted-engine-setup/network/bridge.py", line 105, in _customization
    elif ethtool.get_module(nic) == 'bridge':
IOError: [Errno 95] Operation not supported

ethtool.get_module() explodes on dummy devices. We have similar code in http://gerrit.ovirt.org/gitweb?p=vdsm.git;a=blob;f=lib/vdsm/ipwrapper.py;h=522ac80109371b4667492f666f43f9245246338e;hb=0b6035a0d27dda301bad0590918498f9fe888747#l167

Comment 3 Sandro Bonazzola 2014-02-14 14:56:51 UTC
(In reply to Dan Kenigsberg from comment #2)
>   File
> "/usr/share/ovirt-hosted-engine-setup/scripts/../plugins/ovirt-hosted-engine-
> setup/network/bridge.py", line 105, in _customization
>     elif ethtool.get_module(nic) == 'bridge':
> IOError: [Errno 95] Operation not supported
> 
> ethtool.get_module() explodes on dummy devices. We have similar code in
> http://gerrit.ovirt.org/gitweb?p=vdsm.git;a=blob;f=lib/vdsm/ipwrapper.py;
> h=522ac80109371b4667492f666f43f9245246338e;
> hb=0b6035a0d27dda301bad0590918498f9fe888747#l167

thanks for the hints!

Comment 4 Sandro Bonazzola 2014-03-04 09:28:45 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 5 Sandro Bonazzola 2014-05-08 13:37:36 UTC
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.